# useGetEscrowsFromIndexerByRole

## Uso

Este hook personalizado expone una función para obtener los escrows que estás buscando.

{% code overflow="wrap" %}

```typescript
import { useGetEscrowsFromIndexerByRole } from "@trustless-work/escrow/hooks";
import { GetEscrowsFromIndexerByRoleParams } from "@trustless-work/escrow/types";

/*
 *  useGetEscrowsFromIndexerByRole 
*/
const { getEscrowsByRole } = useGetEscrowsFromIndexerByRole();

/* 
 * Devuelve los escrows que estás buscando
 * el payload debe ser del tipo `GetEscrowsFromIndexerByRoleParams`
*/
await getEscrowsByRole(payload);
```

{% endcode %}

### Función

* `getEscrowsByRole`\
  Responsable de construir y devolver datos basados en el payload proporcionado.

*Argumento:*

`GetEscrowsFromIndexerByRoleParams`: Un objeto que contiene los campos requeridos para obtener los escrows por rol.

{% content-ref url="/pages/6bee3bbe9107d6a252baec5417570a6df08ea702" %}
[Obtener escrows por rol](/trustless-work/v1-es/introduccion/developer-resources/tipos/cargas-utiles/obtener-escrows-por-rol.md)
{% endcontent-ref %}

*Valor de Retorno:*

`escrows`: Los escrows que estás buscando.

***

## Ejemplo de usoFormulario

{% code title="src/hooks/useGetEscrowsFromIndexerByRole.ts" overflow="wrap" %}

```typescript
import {
  useGetEscrowsFromIndexerByRole,
} from "@trustless-work/escrow/hooks";
import {
  GetEscrowsFromIndexerByRoleParams, 
} from "@trustless-work/escrow/types";

export const useGetEscrowsFromIndexerByRoleForm = () => {

 /*
  *  useGetEscrowsFromIndexerByRole
 */
 const { getEscrowsByRole } = useGetEscrowsFromIndexerByRole();

/*
 * función onSubmit, esto podría ser llamado por el botón del formulario
*/
 const onSubmit = async (payload: GetEscrowsFromIndexerByRoleParams) => {

    try {
      /**
       * Llamada a la API utilizando los hooks de trustless work
       * @Nota:
       * - Necesitamos pasar el payload a la función getEscrowsByRole
       * - El resultado será un escrow
      */
      const escrows = await getEscrowsByRole(payload);
      
      if (!escrows) {
        throw new Error("Escrows not found");
      }

      /**
       * @Respuestas:
       * escrows !== null
       * - Escrows recibidos con éxito
       * - Mostrar un toast de éxito
       *
       * escrows === null
       * - Mostrar un toast de error
       */
      if (escrows) {
        toast.success("Escrows Received");
      }
    } catch (error: unknown) {
      // lógica para capturar errores
    }
  };
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.trustlesswork.com/trustless-work/v1-es/escrow-react-sdk/indexer/usegetescrowsfromindexerbyrole.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
